Bug 133072 - new kickstart tbl
new kickstart tbl
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fanny Augustin
Depends On:
Blocks: 121344
  Show dependency treegraph
Reported: 2004-09-21 10:45 EDT by Shannon Hughes
Modified: 2007-10-23 22:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-22 13:37:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Shannon Hughes 2004-09-21 10:45:56 EDT
peter, details for new kickstart table:

table rhnkickstartscript

id sequence
ksid integer (fk to ksdata id)
type can be one of two, pre/post. pick whatever type works best for you.
nochroot is y/n, default to n
interpreter varchar, nullable (will hold /usr/bin/perl etc)
script blob
order integer defaults to 1

both nochroot and order will not be used until 370.
interpreter will not be nullable from the perl side for 360 since we
will only insert scripts that have an interpreter.
Comment 1 Peter Jones 2004-09-21 11:51:22 EDT
Hey -- instead of "order", I'm using "position", and there's no
default.  Your code will always know a better value than we're going
to get by making the assumption of 1.  If we're not using it until
370, you can still just always insert 1 there, until the time comes
when that'd be wrong.

Also, "nochroot" is going to be "chroot", because a value of 'N' for
"nochroot" is confusing as hell, but a value of 'N' for "chroot" makes
sense to everybody.  That being said... do you want me to default
"chroot" to 'Y'? ;)
Comment 2 Peter Jones 2004-09-21 11:59:13 EDT
Assuming you want 'Y', it's ON_DEV now.
Comment 3 Fanny Augustin 2004-10-12 11:39:42 EDT
Test plan?
Comment 4 Peter Jones 2004-10-12 12:30:01 EDT
Test the feature this blocks, instead.
Comment 5 Todd Warner 2004-10-21 12:41:10 EDT
QA push. {ON_DEV,QA_READY} --> ON_QA
Comment 6 Max Spevack 2004-10-22 12:07:34 EDT
Punt to fanny since the parent bug is hers.  Fanny, send me something
else!  :-)
Comment 7 Fanny Augustin 2004-10-28 14:27:28 EDT
Bug: 121344, so this should work also.
Comment 8 Todd Warner 2005-03-22 13:37:23 EST

Note You need to log in before you can comment on or make changes to this bug.